package com.example.pibd22_kalyshev_y_v_motorboat_hard;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class DrawningLargeOars implements IDrawningAdditionalElement {
    private Color _OarsColor;
    private NumberOars _numOars;
    public void SetNumberOars(int numberOars) {
        _numOars = NumberOars.FromInteger(numberOars);
    }
    public int deltaYdown = 0;
    public int deltaYup = 0;
    public DrawningLargeOars(Color oarsColor)
    {
        _OarsColor = oarsColor;
    }
    public void DrawOars(GraphicsContext gc, float startPosX, float startPosY) {
        if (_OarsColor == null) {
            return;
        }

        gc.setFill(_OarsColor);

        switch (_numOars) {
            case One:
                DrawOar1(gc, startPosX, startPosY);
                deltaYup = 80;
                deltaYdown = 80;
                break;
            case Two:
                DrawOar1(gc, startPosX, startPosY);
                DrawOar2(gc, startPosX, startPosY);
                deltaYup = 80;
                deltaYdown = 80;
                break;
            case Three:
                DrawOar1(gc, startPosX, startPosY);
                DrawOar2(gc, startPosX, startPosY);
                DrawOar3(gc, startPosX, startPosY);
                deltaYup = 80;
                deltaYdown = 80;
                break;
        }
    }
    void DrawOar1(GraphicsContext gc, float startPosX, float startPosY) {
        gc.setFill(_OarsColor);
        gc.setStroke(Color.BLACK);
        gc.setLineWidth(2);
        gc.strokePolyline(new double[]{startPosX + 50, startPosX + 70, startPosX + 60, startPosX + 60, startPosX + 90, startPosX + 90, startPosX + 80, startPosX + 60, startPosX + 50},
                new double[]{startPosY + 60, startPosY + 20, startPosY + 20, startPosY, startPosY, startPosY + 20, startPosY + 20, startPosY + 60, startPosY + 60}, 9);
        gc.fillPolygon(new double[]{startPosX + 50, startPosX + 70, startPosX + 60, startPosX + 60, startPosX + 90, startPosX + 90, startPosX + 80, startPosX + 60, startPosX + 50},
                new double[]{startPosY + 60, startPosY + 20, startPosY + 20, startPosY, startPosY, startPosY + 20, startPosY + 20, startPosY + 60, startPosY + 60}, 9);
    }
    void DrawOar2(GraphicsContext gc, float startPosX, float startPosY) {
        gc.setFill(_OarsColor);
        gc.setStroke(Color.BLACK);
        gc.setLineWidth(2);
        gc.strokePolyline(new double[]{startPosX+50, startPosX+30, startPosX+20, startPosX+20, startPosX+50, startPosX+50, startPosX+40, startPosX+60, startPosX+50},
                new double[]{startPosY+80, startPosY+120, startPosY+120, startPosY+140, startPosY+140, startPosY+120, startPosY+120, startPosY+80, startPosY+80}, 9);
        gc.fillPolygon(new double[]{startPosX+50, startPosX+30, startPosX+20, startPosX+20, startPosX+50, startPosX+50, startPosX+40, startPosX+60, startPosX+50},
                new double[]{startPosY+80, startPosY+120, startPosY+120, startPosY+140, startPosY+140, startPosY+120, startPosY+120, startPosY+80, startPosY+80}, 9);
    }
    void DrawOar3(GraphicsContext gc, float startPosX, float startPosY) {
        gc.setFill(_OarsColor);
        gc.setStroke(Color.BLACK);
        gc.setLineWidth(2);
        gc.strokePolyline(new double[]{startPosX+20, startPosX+20, startPosX+10, startPosX+10, startPosX+40, startPosX+40, startPosX+30, startPosX+30, startPosX+20},
                new double[]{startPosY+80, startPosY+30, startPosY+30, startPosY+10, startPosY+10, startPosY+30, startPosY+30, startPosY+80, startPosY+80}, 9);
        gc.fillPolygon(new double[]{startPosX+20, startPosX+20, startPosX+10, startPosX+10, startPosX+40, startPosX+40, startPosX+30, startPosX+30, startPosX+20},
                new double[]{startPosY+80, startPosY+30, startPosY+30, startPosY+10, startPosY+10, startPosY+30, startPosY+30, startPosY+80, startPosY+80}, 9);
    }
}