package com.example.pibd22_kalyshev_y_v_motorboat_hard;

import javafx.scene.canvas.GraphicsContext;

public class DrawningObjectBoat implements IDrawningObject {
    private DrawningBoat _boat = null;
    public DrawningObjectBoat(DrawningBoat boat)
    {
        _boat = boat;
    }
    public IDrawningAdditionalElement GetDrawningOars() {return _boat.GetDrawningOars();}
    public float GetStep() {
        if (_boat != null && _boat.GetBoat() != null) {
            return _boat.GetBoat().GetStep();
        }
        return 0F;
    }
    public float[] GetCurrentPosition() {
        if (_boat != null) {
            return _boat.GetCurrentPosition();
        }
        return new float[4];
    }
    public void MoveObject(Direction direction)
    {
        _boat.MoveTransport(direction);
    }
    public void SetObject(int x, int y, int width, int height)
    {
        _boat.SetPosition(x, y, width, height);
    }
    public void DrawningObject(GraphicsContext gc) {
        if (_boat != null) {
            _boat.DrawTransport(gc);
        }
    }
}